package com.hxhq.business.form.yq;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Excel;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author 15881
 */
public class YqForm {

    private Long id;

    @NotEmpty(message = "请输入仪器名称")
    @Length(max = 50, message = "仪器名称不能超过50字")
    @Excel(name = "仪器名称")
    private String mc;

    /**
     * 编号
     */
    @NotEmpty(message = "请输入仪器编号")
    @Length(max = 50, message = "仪器编号不能超过50字")
    @Excel(name = "仪器编号")
    private String bh;

    /**
     * 型号
     */
    @NotEmpty(message = "请输入仪器型号")
    @Length(max = 50, message = "仪器型号不能超过50字")
    @Excel(name = "仪器型号")
    private String xh;

    /**
     * 来源
     */
    @NotEmpty(message = "请输入仪器来源")
    @Length(max = 50, message = "仪器来源不能超过50字")
    @Excel(name = "仪器来源")
    private String ly;

    /**
     * 校准日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "请选择校准日期")
    @Excel(name = "下次校准日期")
    private Date jzrq;


    /** 部门名称 */
    @NotEmpty(message = "请选择所属部门")
    @Excel(name = "所属部门")
    @TableField(exist = false)
    private String bmMc;

    /** 部门id */
    private Long deptId;


    /**
     * 温层
     */
    @NotNull(message = "请选择所温层")
    @Excel(name = "温层")
    private String wc;


    /** 备注 */
    @Length(max = 500, message = "备注不能超过500字")
    private String remark;


    /** 签名人密码 */
    @NotNull(message = "请输入签名人密码")
    private String qmrmm;

    private Long qmrId;

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly;
    }

    public Date getJzrq() {
        return jzrq;
    }

    public void setJzrq(Date jzrq) {
        this.jzrq = jzrq;
    }

    public String getBmMc() {
        return bmMc;
    }

    public void setBmMc(String bmMc) {
        this.bmMc = bmMc;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getWc() {
        return wc;
    }

    public void setWc(String wc) {
        this.wc = wc;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }
}
